Apply History
POST
/rules/{rule_id}/apply-history
const url = 'https://example.com/rules/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/apply-history';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"dry_run":true,"include_user_categorized":false,"posted":"skip"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/rules/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/apply-history \ --header 'Content-Type: application/json' \ --data '{ "dry_run": true, "include_user_categorized": false, "posted": "skip" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”rule_id
required
Rule Id
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
ApplyHistory
object
dry_run
Dry Run
boolean
include_user_categorized
Include User Categorized
Automation correcting automation is fine; overriding a human is opt-in.
boolean
posted
Posted
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Response Apply History Rules Rule Id Apply History Post
object
key
additional properties
any
Example generated
{}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}